package com.ynet.life.cache;

import java.io.DataOutputStream;
import java.io.IOException;
import java.net.Socket;
import java.net.UnknownHostException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;

/* loaded from: com_ynet_life_cache.jar:com/ynet/life/cache/SenderThread.class */
public class SenderThread extends Thread {
    private String region;
    private String key;
    private List<String> clusterMember = new ArrayList();

    public SenderThread(String clusterMember, String region, String key) {
        this.region = region;
        this.key = key;
        parseMember(clusterMember);
    }

    private void parseMember(String memberStr) {
        if (memberStr == null || memberStr.trim().equals("")) {
            return;
        }
        String[] servers = memberStr.split(",");
        this.clusterMember = Arrays.asList(servers);
    }

    @Override // java.lang.Thread, java.lang.Runnable
    public void run() {
        send(this.key, this.region);
    }

    private void send(Object key, String region) {
        String cacheSynListen = System.getProperty("cacheSynListen");
        Iterator<String> it = this.clusterMember.iterator();
        while (it.hasNext()) {
            if (!it.next().equals(cacheSynListen)) {
                String[] ss = it.next().split(",");
                send(ss[0], ss[1], key, region);
            }
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v0 */
    /* JADX WARN: Type inference failed for: r0v1, types: [java.net.UnknownHostException] */
    /* JADX WARN: Type inference failed for: r0v13, types: [java.io.DataOutputStream] */
    /* JADX WARN: Type inference failed for: r0v14 */
    /* JADX WARN: Type inference failed for: r0v4, types: [java.io.IOException] */
    private void send(String str, String str2, Object obj, String str3) {
        ?? r0 = 0;
        r0 = 0;
        Socket socket = null;
        try {
            try {
                try {
                    Socket socket2 = new Socket(str, Integer.parseInt(str2));
                    socket = socket2;
                    DataOutputStream dataOutputStream = new DataOutputStream(socket2.getOutputStream());
                    dataOutputStream.writeUTF(String.valueOf(str3) + "||" + obj);
                    r0 = dataOutputStream;
                    r0.close();
                } catch (Throwable th) {
                    if (socket != null) {
                        try {
                            socket.close();
                        } catch (IOException unused) {
                        }
                    }
                    throw th;
                }
            } catch (IOException e) {
                r0.printStackTrace();
                if (socket != null) {
                    try {
                        socket.close();
                        return;
                    } catch (IOException unused2) {
                        return;
                    }
                }
            }
        } catch (UnknownHostException e2) {
            r0.printStackTrace();
            if (socket != null) {
                try {
                    socket.close();
                    return;
                } catch (IOException unused3) {
                    return;
                }
            }
        }
        try {
            socket.close();
        } catch (IOException unused4) {
        }
    }
}
